linux-image-2.6.34-5-virtual is oversized, results in oversized server ISO

Bug #587893 reported by Thierry Carrez on 2010-05-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Maverick
High
Tim Gardner

Bug Description

linux-virtual is supposed to be a stripped down kernel for virtual environments.

linux-image-2.6.34-5-virtual is now as big as linux-image-2.6.34-5-server and more than doubled in size since lucid:
12110 -r--r--r-- 4 root root 12399730 2010-04-16 16:05 pool/main/l/linux/linux-image-2.6.32-21-virtual_2.6.32-21.32_amd64.deb
31782 -r--r--r-- 2 root root 32544062 2010-05-31 08:05 pool/main/l/linux/linux-image-2.6.34-5-virtual_2.6.34-5.12_amd64.deb

Haven't investigated, but I suspect something crept in.
Among other things, it results in an oversized Maverick Ubuntu Server CD.

Martin Pitt (pitti) on 2010-05-31
Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu Maverick):
importance: Undecided → High
Tim Gardner (timg-tpi) on 2010-06-01
Changed in linux (Ubuntu Maverick):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: New → In Progress
milestone: none → maverick-alpha-2
Thierry Carrez (ttx) wrote :

As part of Maverick alpha1 ISO testing, I ran http://testcases.qa.ubuntu.com/Install/ServerMinimalVirtualInstall
du -sh /lib/modules returns 121M, while usually it's under 40M.

tags: added: iso-testing

Have committed this to the Maverick tree. I'm waiting for permission from the release team to violate the Alpha1 soft freeze to upload. Otherwise this will have to likely wait post Alpha1.

Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed

As quoted from #ubuntu-release on freenode:

[14:52:12] <cjwatson> ogasawara: Thanks for the fix. I think we can probably afford to just stage that for immediately after alpha-1, and release-note the problem. For a later alpha I'd probably say differently but I don't think an oversized server image on the first alpha is worth the hassle of a respin
[14:52:31] <ogasawara> cjwatson: ack

Should be fixed as of 2.6.34-5.14

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers